
Ryzom - NeverEnding # 825

Status: New Priority: Normal
Author: vl Category: Build
Created: 04/30/2010 Assignee:
Updated: 11/18/2010 Due date:
Subject: Remove all warnings when compiling Ryzom
Description

Related issues:
duplicated by Ryzom - NeverEnding # 29: Fix compiler warnings Closed 09/03/2008

History
#1 - 05/11/2010 09:59 pm - Letto
- File warnings.diff added

I managed to get off almost all the warnings when the client compiles with cmake with Debug up to 40%
I'm pretty sure those that remain are bugs.

#2 - 05/12/2010 09:25 am - Letto
- File warning_v2.diff added

Updated, patch after cmake-stuff.diff
Compile in Debug mode
http://pastebin.com/nkwLZHL9

#3 - 05/12/2010 10:30 am - jayme
- File warnings-seven_zip.patch added

Removed some warnings in seven_zip files...

#4 - 05/12/2010 10:39 am - ThibG
- File neldebug.patch added

#5 - 05/12/2010 11:41 am - ThibG
- File nl_ct_debug.patch added

#6 - 05/12/2010 01:24 pm - ThibG
- File nel-warnings.patch added

#7 - 05/14/2010 11:42 am - kervala
- File deleted (nel-warnings.patch)

#8 - 05/14/2010 11:43 am - kervala

Patch nel-warnings.patch applied and removed :) (to be sure it won't be applied a second time :p)
Thanks a lot ThibG :)

I will continue to apply them.

#9 - 05/14/2010 12:25 pm - kervala
- File deleted (warnings.diff)

#10 - 05/14/2010 01:52 pm - Letto
- File nldebug2.patch added

Here's a better nldebug patch that forces trailing ;

#11 - 05/14/2010 03:48 pm - jayme
- File sp_type_string-const-to-char_warnings.patch added

Removed a "deprecated conversion from string constant to ‘char*’" warning from code/ryzom/common/src/game_share/sp_type.cpp

#12 - 05/14/2010 04:20 pm - Letto
- File warnings_v3.diff added

I managed to compile the client with these.
Includes vhelsing's patches.

#13 - 05/15/2010 01:30 pm - Letto
- File warnings_v4.diff added

#14 - 05/15/2010 06:49 pm - vl

We applied some of warning, can you provide another patch with the latest repo?

#15 - 05/15/2010 07:38 pm - Letto

you have added lines like this wich i deleted in the latest version
nlwarning("Unknown light cycle  state reached.");
Beware that this causes the client to continually print that message. Do you intend to fix that in some other way?

#16 - 05/16/2010 01:36 pm - ThibG

Please forget my neldebug and nl_ct_debug patches. They use variadic macros, which are part of the C99 specifications, but not part of C++.

#17 - 05/17/2010 10:30 am - jayme
- File string_constant_to_char.patch added
Removed some more "deprecated conversion from string constant to ‘char*’"-warnings

#18 - 05/17/2010 01:58 pm - vl

string_constant_to_char.patch was applied on the repo

#19 - 06/11/2010 11:19 am - kervala
- File deleted (string_constant_to_char.patch)

#20 - 06/11/2010 11:20 am - kervala
- File deleted (warnings-seven_zip.patch)

#21 - 06/11/2010 11:22 am - kervala
- File deleted (sp_type_string-const-to-char_warnings.patch)

#22 - 06/21/2010 09:40 am - kervala
- Subject changed from Remove all warning when compiling Ryzom on Linux to Remove all warning when compiling Ryzom

#23 - 06/27/2010 01:09 pm - kervala
- File deleted (nldebug2.patch)

#24 - 06/27/2010 01:09 pm - kervala
- File deleted (nl_ct_debug.patch)

#25 - 06/27/2010 01:09 pm - kervala
- File deleted (neldebug.patch)

#26 - 08/21/2010 04:01 pm - kervala
- Subject changed from Remove all warning when compiling Ryzom to Remove all warnings when compiling Ryzom

#27 - 09/22/2010 11:07 am - abelgar
- File warn_linux_gcc.patch added

Here some warns check.
In diff, file code/ryzom/server/src/ai_service/ai_entity_physical_inline.h is weird. So be careful. Others are good.

#28 - 09/23/2010 03:24 pm - kervala

Thanks for your patch abelgar :)

#29 - 10/04/2010 09:18 pm - Naush
- File nel-warning-1.diff added

Some more, for NeL

#30 - 11/18/2010 02:34 pm - kervala
- Tracker changed from Feature to NeverEnding

Files
warning_v2.diff 48.8 kB 05/12/2010 Letto
warnings_v3.diff 55.3 kB 05/14/2010 Letto
warnings_v4.diff 49.8 kB 05/15/2010 Letto
warn_linux_gcc.patch 83.8 kB 09/22/2010 abelgar
nel-warning-1.diff 4.9 kB 10/04/2010 Naush
